Bug 798417 - RFE: Time based hashed package download URLs
RFE: Time based hashed package download URLs
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks: 798425
  Show dependency treegraph
Reported: 2012-02-28 15:15 EST by Justin Sherrill
Modified: 2015-02-28 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-18 19:48:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 165 None None None Never

  None (edit)
Description Justin Sherrill 2012-02-28 15:15:20 EST
Description of problem:

In satellite there was a way to generate hashed urls for package downloads that would time out after some time (4 hours i believe).  

Currently there is no easy way to download packages from protected urls, and this would be useful.
Comment 1 Brian Bouterse 2015-02-18 19:48:13 EST
Moved to https://pulp.plan.io/issues/165

Note You need to log in before you can comment on or make changes to this bug.